Skip to main content
GET
/
api
/
v2
/
models
List Models
curl --request GET \
  --url https://api.legitmark.com/api/v2/models
{
  "success": true,
  "rc_hit": true,
  "rc_key": "models:d883666bf43f39feef1c4f4dcd1ea54d",
  "message": "All the models are fetched successfully.",
  "models": [
    {
      "uuid": "f6a7b8c9-d0e1-2345-fabc-678901234567",
      "name": "Neverfull MM",
      "brand": {
        "uuid": "e5f6a7b8-c9d0-1234-efab-567890123456",
        "name": "Louis Vuitton"
      },
      "type": {
        "uuid": "c3d4e5f6-a7b8-9012-cdef-345678901234",
        "name": "Tote Bags"
      },
      "category": {
        "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "Bags"
      }
    },
    {
      "uuid": "c9d0e1f2-a3b4-5678-cdef-901234567890",
      "name": "Submariner",
      "brand": {
        "uuid": "b8c9d0e1-f2a3-4567-bcde-890123456789",
        "name": "Rolex"
      },
      "type": {
        "uuid": "d4e5f6a7-b8c9-0123-defa-456789012345",
        "name": "Luxury Watches"
      },
      "category": {
        "uuid": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Watches"
      }
    }
  ]
}

Query Parameters

page_size
integer
default:20

Number of results per page

Required range: 1 <= x <= 100
page_number
integer
default:1

Page number

Required range: x >= 1
search_query
string

Search term for model names

brand_uuid
string<uuid>

Filter by specific brand

type_uuid
string<uuid>

Filter by specific type

category_uuid
string<uuid>

Filter by specific category

Response

200 - application/json

Models retrieved successfully

success
boolean
required
Example:

true

message
string
required
Example:

"All the models are fetched successfully."

models
object[]
required
rc_hit
boolean

Indicates if the response was served from cache

Example:

true

rc_key
string

Cache key used for this response

Example:

"models:abc123"